Package com.plannaplan.security

# Class WebSecurityConfig

java.lang.Object
org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter
com.plannaplan.security.WebSecurityConfig

All Implemented Interfaces:
  `org.springframework.security.config.annotation.SecurityConfigurer<javax.servlet.Filter,​org.springframework.security.config.annotation.web.builders.WebSecurity>`, `org.springframework.security.config.annotation.web.WebSecurityConfigurer<org.springframework.security.config.annotation.web.builders.WebSecurity>`

    @Configuration
    @EnableWebSecurity
    public class WebSecurityConfig
    extends org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter

Spring config class for security

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`WebSecurityConfig​(AuthenticationProvider authenticationProvider)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `configure​(org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder auth)` |
`protected void` | `configure​(org.springframework.security.config.annotation.web.builders.HttpSecurity http)` |
`void` | `configure​(org.springframework.security.config.annotation.web.builders.WebSecurity webSecurity)` |

### Methods inherited from class org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter

`authenticationManager, authenticationManagerBean, getApplicationContext, getHttp, init, setApplicationContext, setAuthenticationConfiguration, setContentNegotationStrategy, setObjectPostProcessor, setTrustResolver, userDetailsService, userDetailsServiceBean`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebSecurityConfig

public WebSecurityConfig​(AuthenticationProvider authenticationProvider)

## Method Details

### configure

protected void configure​(org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder auth)

Overrides:
  `configure` in class `org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter`

### configure

public void configure​(org.springframework.security.config.annotation.web.builders.WebSecurity webSecurity)

Specified by:
  `configure` in interface `org.springframework.security.config.annotation.SecurityConfigurer<javax.servlet.Filter,​org.springframework.security.config.annotation.web.builders.WebSecurity>`
Overrides:
  `configure` in class `org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter`

### configure

protected void configure​(org.springframework.security.config.annotation.web.builders.HttpSecurity http) throws java.lang.Exception

Overrides:
  `configure` in class `org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter`
Throws:
  `java.lang.Exception`